%define upstream_name	 Net-Dict
%define upstream_version 2.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A perl client for accessing network dictionary servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Net::Cmd)
BuildArch:  noarch

# mga#5816, upstream rt#77106
# this should be removed once upstream is fixed
Requires:   perl(AppConfig::Std)
# both packages provide /usr/bin/dict
Conflicts:	dictd-client

%description
Net::Dict is a perl class for looking up words and their definitions on network
dictionary servers. It provides a simple client API for the DICT network
protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Net/*
%{_mandir}/*/*
%{_bindir}/dict
%{_bindir}/tkdict

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.100.0-2.mga4
+ Revision: 530298
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 2.100.0-1.mga4
+ Revision: 457090
- update to 2.10

* Sun Jan 13 2013 umeabot <umeabot> 2.90.0-3.mga3
+ Revision: 370572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 10 2012 jquelin <jquelin> 2.90.0-2.mga2
+ Revision: 235057
- adding missing requires (mga#5816)

* Mon Dec 19 2011 jquelin <jquelin> 2.90.0-1.mga2
+ Revision: 184205
- update to 2.09
- update to 2.08

* Thu Jan 20 2011 jquelin <jquelin> 2.70.0-1.mga1
+ Revision: 26690
- mageia rebuild
- imported package perl-Net-Dict


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.70.0-1mdv2010.0
+ Revision: 407811
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.07-7mdv2009.0
+ Revision: 258008
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.07-6mdv2009.0
+ Revision: 246061
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.07-4mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 2.07-4mdv2008.0
+ Revision: 25292
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.07-3mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.07-2mdk
- Rebuild
- Disable tests, obsolete

* Wed Sep 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.07-1mdk
- Initial MDK release.

